Bug 216314 - [PORT UPDATE] emulators/py-nova - update to version 14.0.3
Summary: [PORT UPDATE] emulators/py-nova - update to version 14.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-20 14:08 UTC by Alexander Nusov
Modified: 2017-01-21 12:40 UTC (History)
1 user (show)

See Also:


Attachments
py-nova-14.0.3 (4.33 KB, patch)
2017-01-20 14:08 UTC, Alexander Nusov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Nusov 2017-01-20 14:08:48 UTC
Created attachment 179137 [details]
py-nova-14.0.3

This ports updates emulators/py-nova port to the 14.0.3 version

changelog
- nova-novncproxy service was added
- fixed booting from cinder volumes
Comment 1 commit-hook freebsd_committer 2017-01-21 04:15:29 UTC
A commit references this bug:

Author: novel
Date: Sat Jan 21 04:14:35 UTC 2017
New revision: 432011
URL: https://svnweb.freebsd.org/changeset/ports/432011

Log:
  emulators/py-nova: update to 14.0.3

   - update to 14.0.3
   - add nova-novncproxy service
   - fix booting from cinder volumes

  PR:		216314
  Submitted by:	maintainer

Changes:
  head/emulators/py-nova/Makefile
  head/emulators/py-nova/distinfo
  head/emulators/py-nova/files/07-fix-xen-xvd.patch
  head/emulators/py-nova/files/nova-novncproxy.in
Comment 2 Roman Bogorodskiy freebsd_committer 2017-01-21 04:21:36 UTC
Committed, thanks!

A thing for future improvement: we don't stick to any specific version of Python (as there's just USES=python), but hardcode python version in the rc scripts, so we need to either explicitly stick to 2.7 or use something like ${PYTHON_VER} in the rc scripts.

BTW, it'd be a good idea to run rclint (devel/rclint) on the rc scripts, maybe it'll reporting something worth fixing.
Comment 3 Alexander Nusov 2017-01-21 12:40:42 UTC
(In reply to Roman Bogorodskiy from comment #2)
Thanks!

> A thing for future improvement: we don't stick to any specific version of Python (as there's just USES=python), but hardcode python version in the rc scripts, so we need to either explicitly stick to 2.7 or use something like ${PYTHON_VER} in the rc scripts.

Agree.
I think it'd better to stick with Python 2.7 for ports like py-nova, py-glance but leave it as is for oslo libs. 

> BTW, it'd be a good idea to run rclint (devel/rclint) on the rc scripts, maybe it'll reporting something worth fixing.

cool, installing :)